{
  "extends": [
    "eslint:recommended"
  ],
  "plugins": [
    "react",
    "import"
  ],
  "ecmaFeatures": {
    "modules": true,
    "jsx": true
  },
  "parser": "babel-eslint",
  "rules": {
    "arrow-body-style": [2, "always"],
    "arrow-parens": 2,
    "arrow-spacing": 2,
    "camelcase": 0,
    "consistent-return": 2,
    "curly": [2, "all"],
    "default-case": 1,
    "dot-notation": 2,
    "eqeqeq": 2,
    "jsx-quotes": 1,
    "no-console": 0,
    "no-alert": 2,
    "no-else-return": 1,
    "no-eval": 2,
    "no-param-reassign": 2,
    "no-return-assign": 2,
    "no-useless-constructor": 2,
    "no-var": 1,
    "prefer-arrow-callback": 1,
    "prefer-const": 0,
    "sort-imports": 0,
    "prefer-reflect": 2,
    "prefer-rest-params": 1,
    "prefer-spread": 1,
    "prefer-template": 2,
    "strict": [1, "global"],
    "yoda": [1, "never"],
    "import/default": 2,
    "import/export": 2,
    "import/extensions": 1,
    "import/imports-first": 1,
    "import/named": 2,
    "import/namespace": 2,
    "import/no-amd": 2,
    "import/no-commonjs": 2,
    "import/no-duplicates": 1,
    "import/no-named-as-default": 1,
    "import/no-unresolved": 2,
    "react/display-name": [1, {"ignoreTranspilerName": false}],
    "react/forbid-prop-types": 1,
    "react/jsx-boolean-value": 1,
    "react/jsx-closing-bracket-location": [1, {"selfClosing": "after-props"}],
    "react/jsx-curly-spacing": [2, "always", {"allowMultiline": false}],
    "react/jsx-equals-spacing": 1,
    "react/jsx-handler-names": 1,
    "react/jsx-indent-props": 1,
    "react/jsx-indent": 1,
    "react/jsx-key": 1,
    "react/jsx-max-props-per-line": 0,
    "react/jsx-wrap-multilines": 1,
    "react/jsx-no-bind": 1,
    "react/jsx-no-duplicate-props": 1,
    "react/jsx-no-literals": 0,
    "react/jsx-no-undef": 1,
    "react/jsx-pascal-case": 1,
    "react/jsx-sort-props": 0,
    "react/jsx-uses-react": 1,
    "react/jsx-uses-vars": 1,
    "react/no-danger": 0,
    "react/no-deprecated": 1,
    "react/no-did-mount-set-state": 1,
    "react/no-did-update-set-state": 1,
    "react/no-direct-mutation-state": 1,
    "react/no-is-mounted": 1,
    "react/no-multi-comp": 0,
    "react/no-set-state": 0,
    "react/no-string-refs": 1,
    "react/no-unknown-property": 1,
    "react/prefer-es6-class": 1,
    "react/prop-types": [1, {"ignore": [ "children"]}],
    "react/react-in-jsx-scope": 1,
    "react/self-closing-comp": 1,
    "react/sort-comp": 1,
    "react/sort-prop-types": 1
  },
  "env": {
    "browser": true,
    "node": true,
    "es6": true,
    "commonjs": true
  }
}